Euler Curator Vault Windows
Returns trailing-window performance metrics for Euler lending vaults grouped by curator, including deposit/withdrawal flows, TVL changes, share price movement, and supply/borrow APYs over a selectable timeframe (7d, 30d, 90d, or 365d).
GET
https://api.cambrian.org/evm/lending/euler/curator/vaults/windows
Parameters
timeframe* (string)
Trailing window for historical data results. One of 7d, 30d, 90d, 365d.
curator_address* (string)
Euler curator address.
curator_name (string)
Euler curator display name, exact match.
underlying_address (string)
Underlying token address. See tokens for valid addresses.
chain_id (integer)
EVM chain ID.
min_tvl_usd (integer)
Minimum current TVL in USD of the lending vault, not the window average.
limit (integer)
Limit the number of results.
offset (integer)
Offset the results, allows you to skip a number of rows before starting to return rows.
order_asc (array)
List of column names to order by in ascending order divided by comma. Leave empty items to combine with descending order
order_desc (array)
List of column names to order by in descending order divided by comma. Leave empty items to combine with ascending order
Responses
Code
Description
200
Successful response
Media type: application/vnd.cambrian.table.v1.0.0+json
[
{
"columns": [
{
"name": "chainId",
"type": "UInt16"
},
{
"name": "protocolId",
"type": "String"
},
{
"name": "curatorAddress",
"type": "Nullable(String)"
},
{
"name": "curatorName",
"type": "Nullable(String)"
},
{
"name": "vaultAddress",
"type": "FixedString(42)"
},
{
"name": "symbol",
"type": "Nullable(String)"
},
{
"name": "name",
"type": "Nullable(String)"
},
{
"name": "underlyingAddress",
"type": "Nullable(FixedString(42))"
},
{
"name": "underlyingSymbol",
"type": "String"
},
{
"name": "depositsUsd",
"type": "Float64"
},
{
"name": "withdrawalsUsd",
"type": "Float64"
},
{
"name": "netFlowUsd",
"type": "Float64"
},
{
"name": "borrowsUsd",
"type": "Nullable(Float64)"
},
{
"name": "tvlUsd",
"type": "Float64"
},
{
"name": "tvlUsdChange",
"type": "Float64"
},
{
"name": "availableLiquidityChangeUsd",
"type": "Float64"
},
{
"name": "sharePriceChange",
"type": "Float64"
},
{
"name": "supplyApy",
"type": "Float64"
},
{
"name": "supplyBaseApy",
"type": "Float64"
},
{
"name": "supplyExtraRewardsApy",
"type": "Float64"
},
{
"name": "borrowApy",
"type": "Float64"
},
{
"name": "utilizationRate",
"type": "Float64"
},
{
"name": "updatedAt",
"type": "DateTime('UTC')"
}
],
"data": [
[
8453,
"euler-lend",
"0x1e13b0847808045854ddd908f2d770dc902dcfb8",
"Euler DAO",
"0x556d518fdfdcc4027a3a1388699c5e11ac201d8b",
"eUSDS-1",
"EVK Vault eUSDS-1",
"0x820c137fa70c8691f0e44dc420a5e53c168921dc",
"USDS",
0,
0,
0,
null,
5760.483932171611,
0,
-5760.483932171611,
0,
0,
0,
0,
0,
0,
"2026-11-04T16:12:23+00:00"
],
[
8453,
"euler-lend",
"0x1e13b0847808045854ddd908f2d770dc902dcfb8",
"Euler DAO",
"0x9ecd9fbbda32b81dee51adaed28c5c5039c87117",
"eEURC-1",
"EVK Vault eEURC-1",
"0x60a3e35cc302bfa44cb288bc5a4f316fdb1adb42",
"EURC",
0,
0,
0,
0,
5286.657955067326,
-82.58665979003581,
-5369.244595922341,
0,
0,
0,
0,
0,
3.5265707258937955e-9,
"2026-11-10T11:22:48+00:00"
],
[
8453,
"euler-lend",
"0x1e13b0847808045854ddd908f2d770dc902dcfb8",
"Euler DAO",
"0xa487f940d6f40d7304cd4e62751220f97124bec9",
"eezETH-1",
"EVK Vault eezETH-1",
"0x2416092f143378750bb29b79ed961ab195cceea5",
"ezETH",
0,
0,
0,
null,
2778.096222489133,
-399.17383807786655,
-3177.2700605669997,
0,
0,
0,
0,
0,
0,
"2026-10-25T09:22:37+00:00"
],
[
8453,
"euler-lend",
"0x1e13b0847808045854ddd908f2d770dc902dcfb8",
"Euler DAO",
"0x72c8b07e5ad9f2dcc3ca2c05927c31ddcf2ffe9a",
"eUSD₮0-1",
"EVK Vault eUSD₮0-1",
"0x102d758f688a4c1c5a80b116bd945d4455460282",
"USD₮0 (Bridged)",
0,
0,
0,
null,
6.325428945274535,
-0.009053639302467609,
-6.334482584577002,
0,
0,
0,
0,
0,
0,
"2026-10-20T21:40:39+00:00"
],
[
8453,
"euler-lend",
"0x1e13b0847808045854ddd908f2d770dc902dcfb8",
"Euler DAO",
"0x774c08f8e78c47046d325c0331788954c35df10a",
"eWETH-19",
"EVK Vault eWETH-19",
"0x4200000000000000000000000000000000000006",
"WETH",
2.2995907489463022e-14,
0.000038602111139518216,
-0.00003860211111652231,
0.0004715782103018272,
3.4249801573344953,
-0.4900354953694692,
-0.26587539721943987,
0.00011855912976166394,
0.006561124464593787,
0.006561124464593787,
0,
0.01591713454726966,
0.4580056957794161,
"2026-11-18T01:48:19+00:00"
],
[
8453,
"euler-lend",
"0x1e13b0847808045854ddd908f2d770dc902dcfb8",
"Euler DAO",
"0x8b70a855b057ca85f38ebb2a7399d9fe0bdc1046",
"erETH-1",
"EVK Vault erETH-1",
"0xb6fe221fe9eef5aba221c348ba20a1bf5e73624c",
"rETH",
0,
0,
0,
null,
2.6759061234299217,
-0.0658901528314817,
-2.7417962762614034,
0,
0,
0,
0,
0,
0,
"2026-10-25T09:24:35+00:00"
],
[
8453,
"euler-lend",
"0x1e13b0847808045854ddd908f2d770dc902dcfb8",
"Euler DAO",
"0x38df63f1986b80578b7357bcda3d4f71f129afff",
"ePT-yoETH-26MAR2026-1",
"EVK Vault ePT-yoETH-26MAR2026-1",
"0x1a5c5ea50717a2ea0e4f7036fb289349deaab58b",
"PT-yoETH-26MAR2026",
0,
0,
0,
null,
0,
0,
0,
0,
0,
0,
0,
0,
0,
"2026-10-20T21:40:39+00:00"
],
[
8453,
"euler-lend",
"0x1e13b0847808045854ddd908f2d770dc902dcfb8",
"Euler DAO",
"0x65cfef3efbc5586f0c05299343b8befb3ff5d81a",
"esUSDS-1",
"EVK Vault esUSDS-1",
"0x5875eee11cf8398102fdad704c9e96607675467a",
"sUSDS",
0,
0,
0,
null,
0,
-1389.3202191470848,
-1389.3202191470848,
0,
0,
0,
0,
0,
0,
"2026-10-20T21:40:39+00:00"
],
[
8453,
"euler-lend",
"0x1e13b0847808045854ddd908f2d770dc902dcfb8",
"Euler DAO",
"0x841c92bff53c81cddb8ad557096b30c93fddb394",
"ewsuperOETHb-4",
"EVK Vault ewsuperOETHb-4",
"0x7fcd174e80f264448ebee8c88a7c4476aaf58ea6",
"wsuperOETHb",
0,
0,
0,
null,
0,
0,
0,
0,
0,
0,
0,
0,
0,
"2026-10-23T11:54:49+00:00"
],
[
8453,
"euler-lend",
"0x1e13b0847808045854ddd908f2d770dc902dcfb8",
"Euler DAO",
"0xdbdc9c3edbd401109c83b333c16a0251806b3330",
"eyoETH-1",
"EVK Vault eyoETH-1",
"0x3a43aec53490cb9fa922847385d82fe25d0e9de7",
"yoETH",
0,
0,
0,
null,
0,
0,
0,
3.1086244689504383e-15,
0,
0,
0,
0.006269574165538082,
0,
"2026-11-13T00:01:20+00:00"
]
],
"rows": 10
}
]
400
Bad Request: Invalid request parameters or malformed request.
401
Unauthorized: Missing or invalid API key. Include X-API-Key header with your request.
403
Forbidden: Invalid API key or insufficient permissions to access this resource.
404
Not Found: Endpoint or resource does not exist.
408
Request Timeout: Request took too long to process. Try again.
500
Internal Server Error: An unexpected error occurred while processing your request.
503
Service Unavailable: The server is temporarily unable to handle the request. Please try again later.
Examples
1. Curator Vault Windows for a 7-Day Timeframe
Retrieve 7-day trailing window metrics for all vaults managed by a specific Euler curator.
curl
curl -X GET "https://api.cambrian.org/evm/lending/euler/curator/vaults/windows?timeframe=7d&curator_address=0x1e13b0847808045854ddd908f2d770dc902dcfb8&limit=10" \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"
Response:
JSON
1[
2 {
3 "columns": [
4 {
5 "name": "chainId",
6 "type": "UInt16"
7 },
8 {
9 "name": "protocolId",
10 "type": "String"
11 },
12 {
13 "name": "curatorAddress",
14 "type": "Nullable(String)"
15 },
16 {
17 "name": "curatorName",
18 "type": "Nullable(String)"
19 },
20 {
21 "name": "vaultAddress",
22 "type": "FixedString(42)"
23 },
24 {
25 "name": "symbol",
26 "type": "Nullable(String)"
27 },
28 {
29 "name": "name",
30 "type": "Nullable(String)"
31 },
32 {
33 "name": "underlyingAddress",
34 "type": "Nullable(FixedString(42))"
35 },
36 {
37 "name": "underlyingSymbol",
38 "type": "String"
39 },
40 {
41 "name": "depositsUsd",
42 "type": "Float64"
43 },
44 {
45 "name": "withdrawalsUsd",
46 "type": "Float64"
47 },
48 {
49 "name": "netFlowUsd",
50 "type": "Float64"
51 },
52 {
53 "name": "borrowsUsd",
54 "type": "Nullable(Float64)"
55 },
56 {
57 "name": "tvlUsd",
58 "type": "Float64"
59 },
60 {
61 "name": "tvlUsdChange",
62 "type": "Float64"
63 },
64 {
65 "name": "availableLiquidityChangeUsd",
66 "type": "Float64"
67 },
68 {
69 "name": "sharePriceChange",
70 "type": "Float64"
71 },
72 {
73 "name": "supplyApy",
74 "type": "Float64"
75 },
76 {
77 "name": "supplyBaseApy",
78 "type": "Float64"
79 },
80 {
81 "name": "supplyExtraRewardsApy",
82 "type": "Float64"
83 },
84 {
85 "name": "borrowApy",
86 "type": "Float64"
87 },
88 {
89 "name": "utilizationRate",
90 "type": "Float64"
91 },
92 {
93 "name": "updatedAt",
94 "type": "DateTime('UTC')"
95 }
96 ],
97 "data": [
98 [
99 8453,
100 "euler-lend",
101 "0x1e13b0847808045854ddd908f2d770dc902dcfb8",
102 "Euler DAO",
103 "0x556d518fdfdcc4027a3a1388699c5e11ac201d8b",
104 "eUSDS-1",
105 "EVK Vault eUSDS-1",
106 "0x820c137fa70c8691f0e44dc420a5e53c168921dc",
107 "USDS",
108 0,
109 0,
110 0,
111 null,
112 5760.483932171611,
113 0,
114 -5760.483932171611,
115 0,
116 0,
117 0,
118 0,
119 0,
120 0,
121 "2026-11-04T16:12:23+00:00"
122 ],
123 [
124 8453,
125 "euler-lend",
126 "0x1e13b0847808045854ddd908f2d770dc902dcfb8",
127 "Euler DAO",
128 "0x9ecd9fbbda32b81dee51adaed28c5c5039c87117",
129 "eEURC-1",
130 "EVK Vault eEURC-1",
131 "0x60a3e35cc302bfa44cb288bc5a4f316fdb1adb42",
132 "EURC",
133 0,
134 0,
135 0,
136 0,
137 5286.657955067326,
138 -82.58665979003581,
139 -5369.244595922341,
140 0,
141 0,
142 0,
143 0,
144 0,
145 3.5265707258937955e-9,
146 "2026-11-10T11:22:48+00:00"
147 ],
148 [
149 8453,
150 "euler-lend",
151 "0x1e13b0847808045854ddd908f2d770dc902dcfb8",
152 "Euler DAO",
153 "0xa487f940d6f40d7304cd4e62751220f97124bec9",
154 "eezETH-1",
155 "EVK Vault eezETH-1",
156 "0x2416092f143378750bb29b79ed961ab195cceea5",
157 "ezETH",
158 0,
159 0,
160 0,
161 null,
162 2778.096222489133,
163 -399.17383807786655,
164 -3177.2700605669997,
165 0,
166 0,
167 0,
168 0,
169 0,
170 0,
171 "2026-10-25T09:22:37+00:00"
172 ],
173 [
174 8453,
175 "euler-lend",
176 "0x1e13b0847808045854ddd908f2d770dc902dcfb8",
177 "Euler DAO",
178 "0x72c8b07e5ad9f2dcc3ca2c05927c31ddcf2ffe9a",
179 "eUSD₮0-1",
180 "EVK Vault eUSD₮0-1",
181 "0x102d758f688a4c1c5a80b116bd945d4455460282",
182 "USD₮0 (Bridged)",
183 0,
184 0,
185 0,
186 null,
187 6.325428945274535,
188 -0.009053639302467609,
189 -6.334482584577002,
190 0,
191 0,
192 0,
193 0,
194 0,
195 0,
196 "2026-10-20T21:40:39+00:00"
197 ],
198 [
199 8453,
200 "euler-lend",
201 "0x1e13b0847808045854ddd908f2d770dc902dcfb8",
202 "Euler DAO",
203 "0x774c08f8e78c47046d325c0331788954c35df10a",
204 "eWETH-19",
205 "EVK Vault eWETH-19",
206 "0x4200000000000000000000000000000000000006",
207 "WETH",
208 2.2995907489463022e-14,
209 0.000038602111139518216,
210 -0.00003860211111652231,
211 0.0004715782103018272,
212 3.4249801573344953,
213 -0.4900354953694692,
214 -0.26587539721943987,
215 0.00011855912976166394,
216 0.006561124464593787,
217 0.006561124464593787,
218 0,
219 0.01591713454726966,
220 0.4580056957794161,
221 "2026-11-18T01:48:19+00:00"
222 ],
223 [
224 8453,
225 "euler-lend",
226 "0x1e13b0847808045854ddd908f2d770dc902dcfb8",
227 "Euler DAO",
228 "0x8b70a855b057ca85f38ebb2a7399d9fe0bdc1046",
229 "erETH-1",
230 "EVK Vault erETH-1",
231 "0xb6fe221fe9eef5aba221c348ba20a1bf5e73624c",
232 "rETH",
233 0,
234 0,
235 0,
236 null,
237 2.6759061234299217,
238 -0.0658901528314817,
239 -2.7417962762614034,
240 0,
241 0,
242 0,
243 0,
244 0,
245 0,
246 "2026-10-25T09:24:35+00:00"
247 ],
248 [
249 8453,
250 "euler-lend",
251 "0x1e13b0847808045854ddd908f2d770dc902dcfb8",
252 "Euler DAO",
253 "0x38df63f1986b80578b7357bcda3d4f71f129afff",
254 "ePT-yoETH-26MAR2026-1",
255 "EVK Vault ePT-yoETH-26MAR2026-1",
256 "0x1a5c5ea50717a2ea0e4f7036fb289349deaab58b",
257 "PT-yoETH-26MAR2026",
258 0,
259 0,
260 0,
261 null,
262 0,
263 0,
264 0,
265 0,
266 0,
267 0,
268 0,
269 0,
270 0,
271 "2026-10-20T21:40:39+00:00"
272 ],
273 [
274 8453,
275 "euler-lend",
276 "0x1e13b0847808045854ddd908f2d770dc902dcfb8",
277 "Euler DAO",
278 "0x65cfef3efbc5586f0c05299343b8befb3ff5d81a",
279 "esUSDS-1",
280 "EVK Vault esUSDS-1",
281 "0x5875eee11cf8398102fdad704c9e96607675467a",
282 "sUSDS",
283 0,
284 0,
285 0,
286 null,
287 0,
288 -1389.3202191470848,
289 -1389.3202191470848,
290 0,
291 0,
292 0,
293 0,
294 0,
295 0,
296 "2026-10-20T21:40:39+00:00"
297 ],
298 [
299 8453,
300 "euler-lend",
301 "0x1e13b0847808045854ddd908f2d770dc902dcfb8",
302 "Euler DAO",
303 "0x841c92bff53c81cddb8ad557096b30c93fddb394",
304 "ewsuperOETHb-4",
305 "EVK Vault ewsuperOETHb-4",
306 "0x7fcd174e80f264448ebee8c88a7c4476aaf58ea6",
307 "wsuperOETHb",
308 0,
309 0,
310 0,
311 null,
312 0,
313 0,
314 0,
315 0,
316 0,
317 0,
318 0,
319 0,
320 0,
321 "2026-10-23T11:54:49+00:00"
322 ],
323 [
324 8453,
325 "euler-lend",
326 "0x1e13b0847808045854ddd908f2d770dc902dcfb8",
327 "Euler DAO",
328 "0xdbdc9c3edbd401109c83b333c16a0251806b3330",
329 "eyoETH-1",
330 "EVK Vault eyoETH-1",
331 "0x3a43aec53490cb9fa922847385d82fe25d0e9de7",
332 "yoETH",
333 0,
334 0,
335 0,
336 null,
337 0,
338 0,
339 0,
340 3.1086244689504383e-15,
341 0,
342 0,
343 0,
344 0.006269574165538082,
345 0,
346 "2026-11-13T00:01:20+00:00"
347 ]
348 ],
349 "rows": 10
350 }
351]
2 {
3 "columns": [
4 {
5 "name": "chainId",
6 "type": "UInt16"
7 },
8 {
9 "name": "protocolId",
10 "type": "String"
11 },
12 {
13 "name": "curatorAddress",
14 "type": "Nullable(String)"
15 },
16 {
17 "name": "curatorName",
18 "type": "Nullable(String)"
19 },
20 {
21 "name": "vaultAddress",
22 "type": "FixedString(42)"
23 },
24 {
25 "name": "symbol",
26 "type": "Nullable(String)"
27 },
28 {
29 "name": "name",
30 "type": "Nullable(String)"
31 },
32 {
33 "name": "underlyingAddress",
34 "type": "Nullable(FixedString(42))"
35 },
36 {
37 "name": "underlyingSymbol",
38 "type": "String"
39 },
40 {
41 "name": "depositsUsd",
42 "type": "Float64"
43 },
44 {
45 "name": "withdrawalsUsd",
46 "type": "Float64"
47 },
48 {
49 "name": "netFlowUsd",
50 "type": "Float64"
51 },
52 {
53 "name": "borrowsUsd",
54 "type": "Nullable(Float64)"
55 },
56 {
57 "name": "tvlUsd",
58 "type": "Float64"
59 },
60 {
61 "name": "tvlUsdChange",
62 "type": "Float64"
63 },
64 {
65 "name": "availableLiquidityChangeUsd",
66 "type": "Float64"
67 },
68 {
69 "name": "sharePriceChange",
70 "type": "Float64"
71 },
72 {
73 "name": "supplyApy",
74 "type": "Float64"
75 },
76 {
77 "name": "supplyBaseApy",
78 "type": "Float64"
79 },
80 {
81 "name": "supplyExtraRewardsApy",
82 "type": "Float64"
83 },
84 {
85 "name": "borrowApy",
86 "type": "Float64"
87 },
88 {
89 "name": "utilizationRate",
90 "type": "Float64"
91 },
92 {
93 "name": "updatedAt",
94 "type": "DateTime('UTC')"
95 }
96 ],
97 "data": [
98 [
99 8453,
100 "euler-lend",
101 "0x1e13b0847808045854ddd908f2d770dc902dcfb8",
102 "Euler DAO",
103 "0x556d518fdfdcc4027a3a1388699c5e11ac201d8b",
104 "eUSDS-1",
105 "EVK Vault eUSDS-1",
106 "0x820c137fa70c8691f0e44dc420a5e53c168921dc",
107 "USDS",
108 0,
109 0,
110 0,
111 null,
112 5760.483932171611,
113 0,
114 -5760.483932171611,
115 0,
116 0,
117 0,
118 0,
119 0,
120 0,
121 "2026-11-04T16:12:23+00:00"
122 ],
123 [
124 8453,
125 "euler-lend",
126 "0x1e13b0847808045854ddd908f2d770dc902dcfb8",
127 "Euler DAO",
128 "0x9ecd9fbbda32b81dee51adaed28c5c5039c87117",
129 "eEURC-1",
130 "EVK Vault eEURC-1",
131 "0x60a3e35cc302bfa44cb288bc5a4f316fdb1adb42",
132 "EURC",
133 0,
134 0,
135 0,
136 0,
137 5286.657955067326,
138 -82.58665979003581,
139 -5369.244595922341,
140 0,
141 0,
142 0,
143 0,
144 0,
145 3.5265707258937955e-9,
146 "2026-11-10T11:22:48+00:00"
147 ],
148 [
149 8453,
150 "euler-lend",
151 "0x1e13b0847808045854ddd908f2d770dc902dcfb8",
152 "Euler DAO",
153 "0xa487f940d6f40d7304cd4e62751220f97124bec9",
154 "eezETH-1",
155 "EVK Vault eezETH-1",
156 "0x2416092f143378750bb29b79ed961ab195cceea5",
157 "ezETH",
158 0,
159 0,
160 0,
161 null,
162 2778.096222489133,
163 -399.17383807786655,
164 -3177.2700605669997,
165 0,
166 0,
167 0,
168 0,
169 0,
170 0,
171 "2026-10-25T09:22:37+00:00"
172 ],
173 [
174 8453,
175 "euler-lend",
176 "0x1e13b0847808045854ddd908f2d770dc902dcfb8",
177 "Euler DAO",
178 "0x72c8b07e5ad9f2dcc3ca2c05927c31ddcf2ffe9a",
179 "eUSD₮0-1",
180 "EVK Vault eUSD₮0-1",
181 "0x102d758f688a4c1c5a80b116bd945d4455460282",
182 "USD₮0 (Bridged)",
183 0,
184 0,
185 0,
186 null,
187 6.325428945274535,
188 -0.009053639302467609,
189 -6.334482584577002,
190 0,
191 0,
192 0,
193 0,
194 0,
195 0,
196 "2026-10-20T21:40:39+00:00"
197 ],
198 [
199 8453,
200 "euler-lend",
201 "0x1e13b0847808045854ddd908f2d770dc902dcfb8",
202 "Euler DAO",
203 "0x774c08f8e78c47046d325c0331788954c35df10a",
204 "eWETH-19",
205 "EVK Vault eWETH-19",
206 "0x4200000000000000000000000000000000000006",
207 "WETH",
208 2.2995907489463022e-14,
209 0.000038602111139518216,
210 -0.00003860211111652231,
211 0.0004715782103018272,
212 3.4249801573344953,
213 -0.4900354953694692,
214 -0.26587539721943987,
215 0.00011855912976166394,
216 0.006561124464593787,
217 0.006561124464593787,
218 0,
219 0.01591713454726966,
220 0.4580056957794161,
221 "2026-11-18T01:48:19+00:00"
222 ],
223 [
224 8453,
225 "euler-lend",
226 "0x1e13b0847808045854ddd908f2d770dc902dcfb8",
227 "Euler DAO",
228 "0x8b70a855b057ca85f38ebb2a7399d9fe0bdc1046",
229 "erETH-1",
230 "EVK Vault erETH-1",
231 "0xb6fe221fe9eef5aba221c348ba20a1bf5e73624c",
232 "rETH",
233 0,
234 0,
235 0,
236 null,
237 2.6759061234299217,
238 -0.0658901528314817,
239 -2.7417962762614034,
240 0,
241 0,
242 0,
243 0,
244 0,
245 0,
246 "2026-10-25T09:24:35+00:00"
247 ],
248 [
249 8453,
250 "euler-lend",
251 "0x1e13b0847808045854ddd908f2d770dc902dcfb8",
252 "Euler DAO",
253 "0x38df63f1986b80578b7357bcda3d4f71f129afff",
254 "ePT-yoETH-26MAR2026-1",
255 "EVK Vault ePT-yoETH-26MAR2026-1",
256 "0x1a5c5ea50717a2ea0e4f7036fb289349deaab58b",
257 "PT-yoETH-26MAR2026",
258 0,
259 0,
260 0,
261 null,
262 0,
263 0,
264 0,
265 0,
266 0,
267 0,
268 0,
269 0,
270 0,
271 "2026-10-20T21:40:39+00:00"
272 ],
273 [
274 8453,
275 "euler-lend",
276 "0x1e13b0847808045854ddd908f2d770dc902dcfb8",
277 "Euler DAO",
278 "0x65cfef3efbc5586f0c05299343b8befb3ff5d81a",
279 "esUSDS-1",
280 "EVK Vault esUSDS-1",
281 "0x5875eee11cf8398102fdad704c9e96607675467a",
282 "sUSDS",
283 0,
284 0,
285 0,
286 null,
287 0,
288 -1389.3202191470848,
289 -1389.3202191470848,
290 0,
291 0,
292 0,
293 0,
294 0,
295 0,
296 "2026-10-20T21:40:39+00:00"
297 ],
298 [
299 8453,
300 "euler-lend",
301 "0x1e13b0847808045854ddd908f2d770dc902dcfb8",
302 "Euler DAO",
303 "0x841c92bff53c81cddb8ad557096b30c93fddb394",
304 "ewsuperOETHb-4",
305 "EVK Vault ewsuperOETHb-4",
306 "0x7fcd174e80f264448ebee8c88a7c4476aaf58ea6",
307 "wsuperOETHb",
308 0,
309 0,
310 0,
311 null,
312 0,
313 0,
314 0,
315 0,
316 0,
317 0,
318 0,
319 0,
320 0,
321 "2026-10-23T11:54:49+00:00"
322 ],
323 [
324 8453,
325 "euler-lend",
326 "0x1e13b0847808045854ddd908f2d770dc902dcfb8",
327 "Euler DAO",
328 "0xdbdc9c3edbd401109c83b333c16a0251806b3330",
329 "eyoETH-1",
330 "EVK Vault eyoETH-1",
331 "0x3a43aec53490cb9fa922847385d82fe25d0e9de7",
332 "yoETH",
333 0,
334 0,
335 0,
336 null,
337 0,
338 0,
339 0,
340 3.1086244689504383e-15,
341 0,
342 0,
343 0,
344 0.006269574165538082,
345 0,
346 "2026-11-13T00:01:20+00:00"
347 ]
348 ],
349 "rows": 10
350 }
351]
x402 Payment Option
This endpoint supports pay-per-use access via the x402 payment protocol (v2): pay $0.05 USDC per request using blockchain micropayments. No API key required.
Quickstart (Typescript)
bash
npm install @x402/fetch @x402/evm viem
TypeScript
1import { x402Client } from "@x402/core/client";
2import { ExactEvmScheme } from "@x402/evm/exact/client";
3import { wrapFetchWithPayment } from "@x402/fetch";
4import { privateKeyToAccount } from "viem/accounts";
5const signer = privateKeyToAccount(process.env.EVM_PRIVATE_KEY as `0x${string}`);
6const client = new x402Client();
7client.register("eip155:*", new ExactEvmScheme(signer));
8const fetchWithPayment = wrapFetchWithPayment(fetch, client);
9const response = await fetchWithPayment(
10 "https://x402.cambrian.org/evm/lending/euler/curator/vaults/windows"
11);
12const data = await response.json();
2import { ExactEvmScheme } from "@x402/evm/exact/client";
3import { wrapFetchWithPayment } from "@x402/fetch";
4import { privateKeyToAccount } from "viem/accounts";
5const signer = privateKeyToAccount(process.env.EVM_PRIVATE_KEY as `0x${string}`);
6const client = new x402Client();
7client.register("eip155:*", new ExactEvmScheme(signer));
8const fetchWithPayment = wrapFetchWithPayment(fetch, client);
9const response = await fetchWithPayment(
10 "https://x402.cambrian.org/evm/lending/euler/curator/vaults/windows"
11);
12const data = await response.json();
Quickstart (Python)
bash
pip install "x402[httpx]"
Python
1import asyncio, os
2from eth_account import Account
3from x402 import x402Client
4from x402.http.clients import x402HttpxClient
5from x402.mechanisms.evm import EthAccountSigner
6from x402.mechanisms.evm.exact.register import register_exact_evm_client
7async def main():
8 client = x402Client()
9 account = Account.from_key(os.getenv("EVM_PRIVATE_KEY"))
10 register_exact_evm_client(client, EthAccountSigner(account))
11 async with x402HttpxClient(client) as http:
12 response = await http.get("https://x402.cambrian.org/evm/lending/euler/curator/vaults/windows")
13 print(response.json())
14asyncio.run(main())
2from eth_account import Account
3from x402 import x402Client
4from x402.http.clients import x402HttpxClient
5from x402.mechanisms.evm import EthAccountSigner
6from x402.mechanisms.evm.exact.register import register_exact_evm_client
7async def main():
8 client = x402Client()
9 account = Account.from_key(os.getenv("EVM_PRIVATE_KEY"))
10 register_exact_evm_client(client, EthAccountSigner(account))
11 async with x402HttpxClient(client) as http:
12 response = await http.get("https://x402.cambrian.org/evm/lending/euler/curator/vaults/windows")
13 print(response.json())
14asyncio.run(main())
Payment Flow
- Send a normal request to the endpoint (no API key needed)
- Server returns 402 Payment Required with payment details
- The x402 SDK automatically signs a payment authorization with your wallet
- The SDK resubmits the request with the signed payment
- Server verifies payment and returns the API response
The x402 SDK handles steps 2 through 5 automatically.
Network: Base (chain ID 8453) | Currency: USDC | Price: $0.05 per request